
Figure - Bug #115558
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113423 (New): V4.0专项--BSP专项--稳定性-各项功能长时间运行

【BSP】【EVT】【稳定性】【偶现】长时间运行MTBF脚本开启WIFI进行连接测试，有时屏幕会无法显现指
定的WIFI，导致无法连接
2023-01-31 10:58 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-01-31

Priority: Normal Due date: 2023-02-13

Assignee: 移动测试一组_CDTS 刘强 % Done: 20%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1、设备成功启动

2、确保MTBF脚本运行的前置条件已准备

【测试步骤】

1、使用python运行对应MTBF脚本

2、运行7*24小时

3、查看设备运行WIFI连接测试结果

【预期结果】

3、设备正常运行，没有崩溃，重启等现象

【实际结果】

3、有2次未找到对应连接wifi——其指定wifi未刷新显示

【复现率】

2/165

History

#1 - 2023-01-31 10:59 - 物联网测试组_CDTS 段小刚

tlog超过50M，无法上传，需要的话我飞书发送

#2 - 2023-01-31 19:47 - CD TPM-王祥林

- Category changed from BSP to LC

- Assignee changed from CD TPM-王祥林 to CD LC 陶洪普

洪普

看一下这个问题。
#3 - 2023-02-02 22:14 - CD LC 陶洪普

- Due date set to 2023-02-10

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS 段小刚

Hi 小刚

请帮忙提供

－第86轮(2023-01-31 02:12:07,851) 和 第146轮（2023-01-31 07:44:54,715）　这个两个时间段的前后日志

－请提供压力测试脚本

谢谢！

－－－－－

初步确认：

202301301817.log

脚本运行时间记录从 2023-01-30 18:17:14,928 ～ 2023-01-31 09:38:29,992

在这个过程中有163次检索到wlan0接口，直接测试166轮

- 第166轮日志显示还没有执行完成，日志中未记录结果

- 第86轮(2023-01-31 02:12:07,851) 和 第146轮（2023-01-31 07:44:54,715）时,　显示未检索到"H3C_350304_5G" 

Traceback (most recent call last):

  File "D:/Program Files/JetBrains/PycharmProjects/Fmtbf/TestScript.py", line 619, in run

    self.wifi_connect_test()

  File "D:/Program Files/JetBrains/PycharmProjects/Fmtbf/TestScript.py", line 350, in wifi_connect_test

    self.device.xpath(f'//*[@text="H3C_350304_5G"]').click()

  File "D:\Program Files\JetBrains\python-3.8.2\lib\site-packages\uiautomator2\xpath.py", line 595, in click

    el = self.get(timeout=timeout)

  File "D:\Program Files\JetBrains\python-3.8.2\lib\site-packages\uiautomator2\xpath.py", line 524, in get

    raise XPathElementNotFoundError(self._xpath_list)

uiautomator2.exceptions.XPathElementNotFoundError: ['//*[@text="H3C_350304_5G"]']

#4 - 2023-02-02 22:23 - CD LC 陶洪普

- Due date changed from 2023-02-10 to 2023-02-13

补充：

- H3C_350304_5G

请提供一下这个SSID的配置信息：配置的Beacon Interval, Frequency信息

在扫描时，设备是设置在每个频段，进行被动或主动扫描，存在一定一次扫描不到情况(如果连续多次都扫描不到，可能判断有问题)

在获取测试脚本后，确认脚本是否可验证连续扫描都扫描不到情况．

下次浮现时，带着参考机一起测试．

----

概率性出现，不确认是系统问题，考虑到需要多次重现，修改下Due.

#5 - 2023-02-03 10:22 - 物联网测试组_CDTS 段小刚

- File Fmtbf.zip added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS 段小刚 to CD LC 陶洪普
已提供对应tlog和运行脚本，后续再看还需要提供什么协助

#6 - 2023-02-04 20:05 - CD LC 陶洪普

- 第86轮(2023-01-31 02:12:07,851) 和 第146轮（2023-01-31 07:44:54,715）时,　显示未检索到"H3C_350304_5G"

提供的日志是31号的。

日志最后时间是20230130 09:24。

下一步：找对应的日志或者重新复现。

#7 - 2023-02-04 21:22 - CD LC 陶洪普

- % Done changed from 0 to 20

#8 - 2023-02-09 14:28 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS 段小刚

Hi 小刚，

1. - 第86轮(2023-01-31 02:12:07,851) 和 第146轮（2023-01-31 07:44:54,715）时,　显示未检索到"H3C_350304_5G" 

从发送过来的日志中，未打开wifi verbose log，没有看到详细信息．（打开方法：开发者选项，超照verbose，　选择wifi verbose开关，打开）

2. > Fmtbf.zip 

            os.popen('adb shell svc wifi enable')

        else:

            logger.info('WIFI Error')

        time.sleep(1)

        self.device.app_start("com.android.settings")

        self.device.implicitly_wait(3)

        self.device.xpath('//*[@text="网络和互联网"]').click()

        time.sleep(3)

        self.device.xpath('//*[@text="WLAN"]').click()

        self.device.implicitly_wait(5)

        time.sleep(3)

        self.device.xpath(f'//*[@text="H3C_350304_5G"]').click()

从wifi打开，到选择连接"H3C_350304_5G"]，中间间隔7秒，中间只有一次扫描周期．

在一次扫描周期内，是有可能因外部干扰或者beacon周期，扫描不到情况．对于查找不到情况，　请增加一次扫描来减少这个几率．

3. 与王成确认，对于STA功能也厚在Figure上会去掉，因此该问题请判断是否继续（以我们之前其他项目经验，这个是环境因素）．

无论是否继续，脚本中　在扫描不到情况下，增加一次扫描也是适当的．请确认．

有任何疑问，我们可以再讨论，谢谢！

#9 - 2023-02-09 14:49 - CD TPM-王祥林

请按照洪普的建议在测试脚本里增加扫描吧，后排屏会用wifi，以后测试也能用。副屏因为不用wiif，这个票可以走wontfix流程
#10 - 2023-02-09 15:34 - CD LC 陶洪普

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

Hi 小刚,

请参照上面两条Comments.

1. 脚本 打开WiFi后,在未找到扫描结果时,请增加一次扫描,延时 8秒以上, 再去Check.

2. 这个现象和平时使用WiFi一样,在进入扫描列表中, 有时未全部扫描出来, 需要等待一下再选择(在list列表界面,扫描间隔是10秒)

3. 因后面无STA功能,结合上面信息, 申请won't fix关闭,请确认.

谢谢!

#11 - 2023-02-13 15:07 - 物联网测试组_CDTS 段小刚

如讨论所述。新添加对应二次扫描判断代码，晚上进行新一轮测试。

#12 - 2023-02-15 10:07 - 物联网测试组_CDTS 段小刚

修改之后，还是有第二次扫描也未出现指定wifi情况。因为后续wifi功能会被移除，所以改为adb wifi连接命令测试，不关注界面上wifi的显示

#13 - 2023-02-15 16:37 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS 段小刚 to 移动测试一组_CDTS 刘强

#14 - 2023-02-15 19:19 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

Hi， 祥林

  根据小刚修改之后，还是有第二次扫描也未出现指定wifi情况，对于这个问题，是否有必要继续调查麻烦帮忙判断下呢

#15 - 2023-02-16 14:04 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

使用底层命令可以直接连接 指定wifi，说明底层WiFi扫描没问题；由于信号强度可能未显示在第一页，从而导致判断错误

#16 - 2023-02-16 15:15 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

20230131-104809.jpg 205 KB 2023-01-31 物联网测试组_CDTS 段小刚

20230131-104829.jpg 171 KB 2023-01-31 物联网测试组_CDTS 段小刚

202301301817.log 1.06 MB 2023-01-31 物联网测试组_CDTS 段小刚

Fmtbf.zip 3.34 MB 2023-02-03 物联网测试组_CDTS 段小刚
